Hỏi Cài openERP 7.0 trên python 2.7?

Thảo luận trong 'Linux' bắt đầu bởi Trung Nguyen Duc, 11/5/14.

  1. Trung Nguyen Duc New Member

    Hi mọi người,

    Mình định cài OpenERP trên Centos 5.8. Tuy nhiên python nó đang sử dụng là 2.4 nên mình phải cập nhật lên. Và mình chọn là 2.7.6. Tuy nhiên, Mình gặp rất nhiều khó khăn khi cài đặt.
    Không biết có ai đã từng cài đặt chưa? Có thể tư vấn cho mình không?

    Mình đã gặp một số vấn đề khi cập nhật lên python2.7 như sau:
    + yum không chạy >>> chỉ định yum chạy cái default.
    + không cài được module >>> Chuyển sang easy_install hoặc pip để xài.
    + Tuy nhiên vẫn chịu khi cài một số module khác như python-ldap. >>> theo mình hiểu thì mình sử dụng đa số lệnh yum để cài thì hệ thống hiểu là cài cho 2.4 nên khi chạy thì lại thiếu. Mà khi cố cài đặt bằng tay thì cảm nhận là nó chồng chéo nhau nên không cài được.
  2. bruce.nguyen Active Member

    Hi Trung Nguyen Duc,

    1. Export Path Python2.7 using default if using yum
    2. If you install easy_install plz choice version easy_install. Example: easy_install-2.6 easy_install-2.7 ....etc.
    3. Download package python and extract it:
    Mã (text):
    1.  
    2. $sudo su
    3. $tar xfvz [package name]
    4. $cd [package name]
    5. $python2.x setup.py install
    6.  
    Regards.
    Trung Nguyen Duc thích bài này.

Chia sẻ trang này